package logic

import (
	"context"
	"fmt"

	. "bp.jydev.jianyu360.cn/BaseService/resourceCenter/public/service"
	"bp.jydev.jianyu360.cn/BaseService/resourceCenter/rpc/internal/svc"
	"bp.jydev.jianyu360.cn/BaseService/resourceCenter/rpc/pb"
	"github.com/zeromicro/go-zero/core/logx"
)

type WaitEmpowerDetailLogic struct {
	ctx    context.Context
	svcCtx *svc.ServiceContext
	logx.Logger
}

func NewWaitEmpowerDetailLogic(ctx context.Context, svcCtx *svc.ServiceContext) *WaitEmpowerDetailLogic {
	return &WaitEmpowerDetailLogic{
		ctx:    ctx,
		svcCtx: svcCtx,
		Logger: logx.WithContext(ctx),
	}
}

// 获取待授权详情
func (l *WaitEmpowerDetailLogic) WaitEmpowerDetail(in *pb.WaitEmpowerDetailReq) (*pb.WaitEmpowerDetailResp, error) {
	resp, err := WaitEmpowerDetail(in.Appid, in.FunctionCode, in.EntId)
	if err != nil {
		l.Error(fmt.Sprintf("%+v", in), err)
	}
	return resp, nil
}
